### Method

# Gtk Widgetqueue_allocate

#### Declaration [src]

    void
    gtk_widget_queue_allocate (
      GtkWidget* widget
    )

#### Description [src]

Flags the widget for a rerun of the `Gtk.WidgetClass.size_allocate` function.

Use this function instead of `gtk_widget_queue_resize()` when the `widget`‘s size request didn’t change but it wants to reposition its contents.

An example user of this function is `gtk_widget_set_halign()`.

This function is only for use in widget implementations.